/*
 * Copyright 2020-2026 Collabora Ltd.
 * SPDX-License-Identifier: MIT
 */

#include <vulkan/vulkan.h>

#include <stdio.h>

int main (void)
{
    void (*func) (void);

    func = vkGetInstanceProcAddr(NULL, "vkCreateInstance");

    if (func == NULL) {
        printf ("Failed to find vkCreateInstance\n");
        return 1;
    }

    printf ("vkCreateInstance -> %p\n", (void *) func);
    return 0;
}
